## net.sf.saxon.value
Class Int64Value.Int64Comparable

    java.lang.Object
      net.sf.saxon.value.Int64Value.Int64Comparable

All Implemented Interfaces:
  Comparable

Enclosing class:
  Int64Value

    protected static class Int64Value.Int64Comparable

extends Object
implements Comparable

Field Summary
`protected Int64Value` `value`

Constructor Summary
`Int64Value.Int64Comparable(Int64Value value)`

Method Summary
`long` `asLong()`
`int` `compareTo(Object o)`
`boolean` `equals(Object o)`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected Int64Value value

Constructor Detail

### Int64Value.Int64Comparable

    public Int64Value.Int64Comparable(Int64Value value)

Method Detail

### asLong

    public long asLong()

### compareTo

    public int compareTo(Object o)

  Specified by:
    `compareTo` in interface `Comparable`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.